[Japanese]

JVNDB-2015-000187

Apache Cordova vulnerable to improper application of whitelist restrictions

Overview

Apache Cordova provided by the Apache Software Foundation is a framework for creating mobile applications for various platforms.
Android applications built using Apache Cordova contain a vulnerability where whitelist restrictions are not properly applied.

Muneaki Nishimura of Sony Digital Network Applications, Inc. reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 4.3 (Medium) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Medium
  • Authentication: None
  • Confidentiality Impact: None
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products


Apache Software Foundation
  • Apache Cordova Android versions 3.7.2 and earlier

Impact

Accessing a specially crafted URL may result in transitioning to a URL that the whitelist should restrict.
Solution

[Update Apache Cordova and re-build the Android application]
Developers of Android applications should update Apache Cordova and re-build the application.
Vendor Information

Apache Software Foundation
CWE (What is CWE?)

  1. Permissions(CWE-264) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2015-5256
References

  1. JVN : JVN#18889193
Revision History

[2015/11/27]
  Web page was published